package actionPilot;

import kinematics.Dynamics;
import kinematics.Pose2D;

/** Abstract class that can be used to implement moves.
 * @author Aswin
 *
 */
public abstract class AbstractMove extends kinematics.NewPose implements Move {
  protected Pose2D      currentPose;
  protected float       currentTime;
  protected Dynamics    dynamics;
  protected float       actionTime = Float.POSITIVE_INFINITY;
 

  public void setDynamics(Dynamics dynamics, Pose2D currentPose) {
    this.dynamics = dynamics;
    this.currentPose = currentPose;
  }

  
  @Override
  public boolean setTime(float time) {
    if (time > actionTime)
      return false;
    currentTime = time;
    return true;
  }

  @Override
  public float getActionTime() {
    return actionTime;
  }

  @Override
  public boolean supportsX() {
    return supportsDimension(0);
  }

  @Override
  public boolean supportsY() {
    return supportsDimension(1);
  }

  @Override
  public boolean supportsAngle() {
    return supportsDimension(2);
  }

}
