package actionPilot;

import kinematics.Dynamics;
import kinematics.Pose2D;


/** This Move makes the robot travel in a straight line. The move does not alter the orientation of the robot.
 * @author Aswin
 *
 */
public class Line extends AbstractMove {
	
	private float length;
  private float direction;

  /**
	 * @param length
	 * The distance to travel
   * @param direction
   * The direction to move to, expressed in radians
	 */
	public Line(float length, float direction) {
	  this.length=length;
	  this.direction=direction;
	}
	
	
  public void setDynamics(Dynamics dynamics, Pose2D currentPose) {
    super.setDynamics(dynamics, currentPose);
    actionTime=length/dynamics.getLinearSpeed();
		x=(float) Math.cos(direction)*dynamics.getLinearSpeed();
		y=(float) Math.sin(direction)*dynamics.getLinearSpeed();
	}

	@Override
	public String toString() {
		return "Line";
	}

  @Override
  public boolean supportsDimension(int dimension) {
    if (dimension==2) return false;
    return true;
  }

}
