package actionPilot;

import kinematics.NewPose;
import kinematics.Pose2D;


/** This Move makes the robot turn to the orientation specified by the target {@link Pose2D} object.
 * The orientation of the target object can be dynamic or fixed. The move does not alter the position of the robot.
 * @author Aswin
 *
 */
public class RotateTo extends MoveTo {
	
	public RotateTo(Pose2D target){
		super(target, false, false, true);
	}
	
	public RotateTo(float angle) {
	  this(new NewPose(0,0,angle));
	}

	@Override
	public String toString() {
		return "RotateTo";
	}
}
