package kinematics;

/** A Dynamics interface represents a container that holds speed and acceleration parameters. 
 * Both speed and acceleration have a linear components that express dynamics in the XY-plane (how fast it moves)
 * and an angular component that express the dynamics of a rotation (how fast it rotates).
 * Linear dynamics are expressed in the unit used for length, the angular component is expressed in radians.
 * @author Aswin
 *
 */
public interface Dynamics {

  public float getLinearSpeed();

  public void setLinearSpeed(float linearSpeed);

  public float getLinearAcceleration();

  public void setLinearAcceleration(float linearAcceleration);

  public float getAngularSpeed();

  public void setAngularSpeed(float angularSpeed);

  public float getAngularAcceleration();

  public void setAngularAcceleration(float angularAcceleration);

}