package samples;

import lejos.robotics.SampleProvider;
import lejos.robotics.filter.AbstractFilter;


public class VectorLengthFilter extends AbstractFilter {
  float[] sample;

  public VectorLengthFilter(SampleProvider source) {
    super(source);
    sample=new float[sampleSize];
  }
  
  public int sampleSize() {
    return 1;
  }
  
  public float getLength() {
    super.fetchSample(sample, 0);
    float length=0;
    for (float element : sample) {
      length+=(element*element);
    }
    return (float) Math.sqrt(length);
  }
  
  public void fetchSample(float[] dst, int off) {
    dst[off]=getLength();
  }
  

}
