package actionPilot;

import kinematics.Pose2D;

/**
 * The Aim move keeps the robot facing to a target point in space. 
 * This target point is represented by a {@link Pose2D} object specified in the constructor. 
 * The target point can both be stationary or moving. <br>
 * The Aim move governs the orientation of the robot but does not alter its location. 
 * @author Aswin
 */
public class Aim extends LocationBasedMove {
	private Pose2D	target;
	
	/** 
	 * @param target
	 * The point that the robot uses as target.
	 */
	public Aim( Pose2D target) {
    super( false,false, true);
		this.target=target;
	}

	@Override
	public boolean setTime(float time) {
	  if (!super.setTime(time)) return false;
    z=currentPose.directionTo(target)-currentPose.getAngle();
	  return true;
	}

	@Override
	public String toString() {
		return "Aim";
	}


}
