package actionPilot;

import kinematics.Pose2D;



/** This Moves makes the robot travel to and turn to a specified target Position. 
 * The target position can be statinary or moving.
 * @author Aswin
 *
 */
public class MoveTo extends LocationBasedMove {
  private Pose2D target;
  
  public MoveTo(Pose2D target) {
    this(target, true,true, true);
  }

  protected MoveTo(Pose2D target, boolean restX, boolean restY, boolean restAngle) {
    super(restX, restY, restAngle);
    this.target = target;
  }

  @Override
  public boolean setTime(float time) {
    if (restX)
      x = (target.getX() - currentPose.getX());
    if (restY)
      y = (target.getY() - currentPose.getY());
    if (restAngle)
      z = (target.getZ()) - currentPose.getZ();
    return true;
  }

  @Override
  public String toString() {
    return "MoveTo";
  }

}
