package actionPilot;

import kinematics.Dynamics;
import kinematics.Pose2D;

/**
 * This Moves makes the robot rotate around its centre for a given number of radians. 
 * The move does not alter the robots position.
 * @author Aswin
 *
 */
public class Rotate extends AbstractMove {
	
	private float angle;

  /** 
   * @param angle
   * The number of radians to rotate. Negative numbers represent clockwise rotations.  
   */
  public Rotate(float angle){
	  this.angle=angle;
	}
	
  public void setDynamics(Dynamics dynamics, Pose2D currentPose) {
    super.setDynamics(dynamics, currentPose);
		z=dynamics.getAngularSpeed()*Math.signum(angle);
		actionTime=Math.abs(angle/dynamics.getAngularSpeed());
	}
	
	@Override
	public String toString() {
		return "Rotate";
	}

  @Override
  public boolean supportsDimension(int dimension) {
    if (dimension==2) return true;
    return false;
  }
}
