package kinematics;

import actionPilot.Move;

/** A container to hold dynamic parameters. See the {@link Dynamics} interface for details.
 * @author Aswin
 *
 */
public class DynamicsContainer implements Dynamics{
  static float PI=(float)(Math.PI);
  protected float linearSpeed = 100;
  protected float linearAcceleration = 200;
  protected float angularSpeed = PI/4;
  protected float angularAcceleration = PI;

  public DynamicsContainer() {
  }

  public DynamicsContainer(float linearSpeed, float linearAcceleration, float angularSpeed,float angularAcceleration) {
    this.linearSpeed = linearSpeed;
    this.linearAcceleration = linearAcceleration;
    this.angularSpeed = angularSpeed;
    this.angularAcceleration = angularAcceleration;
  }

  
  @Override
  public float getLinearSpeed() {
    return linearSpeed;
  }

  @Override
  public void setLinearSpeed(float linearSpeed) {
    this.linearSpeed = linearSpeed;
  }

  @Override
  public float getLinearAcceleration() {
    return linearAcceleration;
  }

  @Override
  public void setLinearAcceleration(float linearAcceleration) {
    this.linearAcceleration = linearAcceleration;
  }

  @Override
  public float getAngularSpeed() {
    return angularSpeed;
  }

  @Override
  public void setAngularSpeed(float angularSpeed) {
    this.angularSpeed = angularSpeed;
  }

  @Override
  public float getAngularAcceleration() {
    return angularAcceleration;
  }

  @Override
  public void setAngularAcceleration(float angularAcceleration) {
    this.angularAcceleration = angularAcceleration;
  }

}